# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`mailhog`](#mailhog): Class to install and configure mailhog.  Use this module to install and configure mailhog.

#### Private Classes

* `mailhog::config`: Class to configure mailhog.
* `mailhog::install`: Class to install mailhog.
* `mailhog::service`: Class to manage the mailhog service.

## Classes

### <a name="mailhog"></a>`mailhog`

Class to install and configure mailhog.

Use this module to install and configure mailhog.

#### Examples

##### Declaring the class

```puppet
class { '::mailhog':
  install_method => 'archive',
  archive_source => 'https://github.com/mailhog/MailHog/releases/download/v1.0.1/MailHog_linux_amd64',
}
```

#### Parameters

The following parameters are available in the `mailhog` class:

* [`config`](#config)
* [`config_file`](#config_file)
* [`install_dir`](#install_dir)
* [`install_method`](#install_method)
* [`manage_service`](#manage_service)
* [`package_name`](#package_name)
* [`package_version`](#package_version)
* [`service_name`](#service_name)
* [`service_provider`](#service_provider)
* [`service_ensure`](#service_ensure)
* [`archive_source`](#archive_source)

##### <a name="config"></a>`config`

Data type: `String[1]`

Mailhog config.

##### <a name="config_file"></a>`config_file`

Data type: `Stdlib::Absolutepath`

Mailhog config file.

##### <a name="install_dir"></a>`install_dir`

Data type: `Stdlib::Absolutepath`

Location of mailhog binary release.

##### <a name="install_method"></a>`install_method`

Data type: `Enum['package','archive']`

How to install mailhog.

##### <a name="manage_service"></a>`manage_service`

Data type: `Boolean`

Manage the mailhog service.

##### <a name="package_name"></a>`package_name`

Data type: `String[1]`

Name of package to install.

##### <a name="package_version"></a>`package_version`

Data type: `String[1]`

Version of mailhog to install.

##### <a name="service_name"></a>`service_name`

Data type: `String[1]`

Name of service to manage.

##### <a name="service_provider"></a>`service_provider`

Data type: `String[1]`

Init system that is used.

##### <a name="service_ensure"></a>`service_ensure`

Data type: `Enum['running','stopped']`

The state of the service.

##### <a name="archive_source"></a>`archive_source`

Data type: `Optional[Stdlib::HTTPUrl]`

Location of mailhog binary release.

Default value: ``undef``

